Bug 90723 - environtment option no longer recognized in authorized keys file
environtment option no longer recognized in authorized keys file
Status: CLOSED NOTABUG
Product: Red Hat Linux
Classification: Retired
Component: openssh (Show other bugs)
9
All Linux
medium Severity medium
: ---
: ---
Assigned To: Tomas Mraz
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2003-05-12 18:03 EDT by William Volkman
Modified: 2007-04-18 12:53 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-02-04 09:06:41 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description William Volkman 2003-05-12 18:03:53 EDT
Description of problem:

Login from remote system when authorized_key file has
matching key fails and requires password.
/var/log/secure reports:
May 12 15:38:37 xxxxx sshd[25315]: Bad options in
/home/wkv/.ssh/authorized_keys2 file, line 2: environment="FOO=wkv" ssh-dss
AAAAB3N...

Version-Release number of selected component (if applicable):

Name        : openssh                      Relocations: (not relocateable)
Version     : 3.5p1                             Vendor: Red Hat, Inc.
Release     : 6                             Build Date: Fri 14 Feb 2003 02:20:53
PM MST
Install Date: Fri 18 Apr 2003 05:49:33 PM MDT      Build Host: daffy.perf.redhat.com
Group       : Applications/Internet         Source RPM: openssh-3.5p1-6.src.rpm
Size        : 458449                           License: BSD
Signature   : DSA/SHA1, Sun 23 Feb 2003 11:42:29 PM MST, Key ID 219180cddb42a60e
Packager    : Red Hat, Inc. <http://bugzilla.redhat.com/bugzilla>
URL         : http://www.openssh.com/portable.html
Summary     : The OpenSSH implementation of SSH protocol versions 1 and 2.

How reproducible:
Always.

Steps to Reproduce:
1. Setup ~/.ssh/authorized_keys2 file on remote host with content like:
from="*.ourdomain.net",environment="BAR=foo" ssh-dss your-hex-key-value-here
your-comment-field-here
2. Use ssh-add to give your key's password
3. attempt to ssh into remote host, instead of logging it you get the password
prompt.
    
Actual results:


Expected results:


Additional info:
Comment 1 Tomas Mraz 2005-02-04 09:06:41 EST
You must have PermitUserEnvironment yes in the sshd_config.

Note You need to log in before you can comment on or make changes to this bug.